Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# TransparencyAttrib Class Reference

This controls the enabling of transparency. More...

Inheritance diagram for TransparencyAttrib:

List of all members.

## Public Types
enum | Mode { MNone = 0, MAlpha = 1, MNotused = 2, MMultisample = 3, MMultisampleMask = 4, MBinary = 5, MDual = 6 }
## Public Member Functions
Mode | getMode ()
| Returns the transparency mode.
## Static Public Member Functions
static int | getClassSlot ()
static TypeHandle | getClassType ()
static RenderAttrib const | make (Mode mode)
| Constructs a new TransparencyAttrib object.
static RenderAttrib const | makeDefault ()
| Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

## Detailed Description

This controls the enabling of transparency.

Simply setting an alpha component to non-1 does not in itself make an object transparent; you must also enable transparency mode with a suitable TransparencyAttrib. Similarly, it is wasteful to render an object with a TransparencyAttrib in effect unless you actually want it to be at least partially transparent (and it has alpha components less than 1).

## Member Enumeration Documentation

enum Mode

Enumerator:

  MNone |
  MAlpha |
  MNotused |
  MMultisample |
  MMultisampleMask |
  MBinary |
  MDual |

## Member Function Documentation

static int getClassSlot | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderAttrib.

Mode getMode | ( |  | ) |

Returns the transparency mode.

static RenderAttrib const make | ( | Mode | mode | ) | `[static]`

Constructs a new TransparencyAttrib object.

static RenderAttrib const makeDefault | ( |  | ) | `[static]`

Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties